<bugID>1052003<Summary>Debugger becomes unresponsive when breaking on exception thrown in function called by console</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:33.0) Gecko/20100101 Firefox/33.0 (Beta/Release)
Build ID: 20140808004001

Steps to reproduce:

http://codepen.io/joallard/debug/JuEDc

1. Open debugger and console
2. Breakpoint on JuEDc:21 (throw line)
3. Call `doIt()` in console, execution stops
4. Enter `{}` in console, submit
=&gt; No response
5. Click play


Actual results:

Console does not respond.

Even after reloading, the console will stop answering any command.

After pressing play, the following errors in browser console:

"""
error occurred while processing 'autocomplete: Error: Debugger.Frame is not live
Stack: WCA_onAutocomplete@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/webconsole.js:792:9
DSC_onPacket@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/main.js:1223:15
LocalDebuggerTransport.prototype.send/&lt;@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:545:11
makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14
makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14
Line: 792, column: 8
"""

"""
onPacket threw an exception: Error: Server did not specify an actor, dropping packet: {"error":"unknownError","message":"error occurred while processing 'autocomplete: Error: Debugger.Frame is not live\nStack: WCA_onAutocomplete@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/webconsole.js:792:9\nDSC_onPacket@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/main.js:1223:15\nLocalDebuggerTransport.prototype.send/&lt;@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:545:11\nmakeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14\nmakeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14\nLine: 792, column: 8"}
Stack: DebuggerClient.prototype.onPacket/&lt;@resource://gre/modules/devtools/dbg-client.jsm:865:1
resolve@resource://gre/modules/devtools/deprecated-sync-thenables.js:40:40
then@resource://gre/modules/devtools/deprecated-sync-thenables.js:20:43
then@resource://gre/modules/devtools/deprecated-sync-thenables.js:58:9
DebuggerClient.prototype.onPacket@resource://gre/modules/devtools/dbg-client.jsm:861:1
LocalDebuggerTransport.prototype.send/&lt;@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:545:11
makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14
makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:83:14
Line: 865, column: 0
"""



Expected results:

Console continues working.</Description></bugID>